Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006257opensim[REGION] Script Functionspublic2012-08-29 11:282014-07-29 13:41
Reportercmickeyb 
Assigned Tocmickeyb 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006257: Implements osSetResponseType to set response mime-type for HTTP requests
DescriptionThis partially implements the LSL function to set the response type for an HTTP request. Since the "official" LSL function limits the use of the response type, it is implemented as osSetResponseType with a threat level of high.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Filespatch file icon httpresponsetype.patch [^] (6,485 bytes) 2012-08-29 11:28 [Show Content]

- Relationships
related to 0006280closedjustincc llSetContentType() not implemented 

-  Notes
(0022478)
cmickeyb (administrator)
2012-08-29 11:31

This should be renamed to be consistent with the LSL version:
 llSetContentType(key request_id, integer content_type)
(0023107)
cmickeyb (administrator)
2012-11-12 13:29

Patch was applied.

- Issue History
Date Modified Username Field Change
2012-08-29 11:28 cmickeyb New Issue
2012-08-29 11:28 cmickeyb File Added: httpresponsetype.patch
2012-08-29 11:28 cmickeyb Assigned To => cmickeyb
2012-08-29 11:28 cmickeyb Status new => patch included
2012-08-29 11:31 cmickeyb Note Added: 0022478
2012-11-12 09:21 cmickeyb Relationship added related to 0006280
2012-11-12 13:29 cmickeyb Note Added: 0023107
2012-11-12 13:29 cmickeyb Status patch included => resolved
2012-11-12 13:29 cmickeyb Fixed in Version => master (dev code)
2012-11-12 13:29 cmickeyb Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker